public class ProgramJNI {
	static {
		try {
			System.loadLibrary("ProgramJNI");
			System.out.println("Nactena knihovna ProgramJNI.dll");
		}
		catch(UnsatisfiedLinkError e){
			System.err.println("Nelze nacist knihovnu ProgramJNI.dll");
			System.err.println(e.getMessage());
		}
	}
	native void metodaTisk();
	native int ziskejInt();
	native int zvysIntDeset(int cislo);
	public static void main(String[] args) {
		System.out.println("Testovaci vypis JNI v Eclipse s makefile");
		ProgramJNI program = new ProgramJNI();
		program.metodaTisk();
		System.out.println("Zde je vystup Java z nativni dll : "+program.ziskejInt());
		System.out.println("Zde je vystup Java z nativni dll se "
				+ "vstupem z Java : "+program.zvysIntDeset(123));

	}

}